fop 1.1

## org.apache.fop.render.ps.extensions
Class PSCommentAfter

    java.lang.Object
      org.apache.fop.render.ps.extensions.PSExtensionAttachment
          org.apache.fop.render.ps.extensions.PSCommentAfter

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class PSCommentAfter

extends PSExtensionAttachment

Custom postscript comment after class

Field Summary
`protected static java.lang.String` `ELEMENT` Element name

Fields inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment
`CATEGORY, content`

Constructor Summary
`PSCommentAfter()` Default constructor
`PSCommentAfter(java.lang.String content)` Constructor

Method Summary
`protected java.lang.String` `getElement()`

Methods inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment
`getCategory, getContent, getType, setContent, toSAX, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENT

    protected static final java.lang.String ELEMENT

  Element name

  See Also:
    Constant Field Values

Constructor Detail

### PSCommentAfter

    public PSCommentAfter()

  Default constructor

### PSCommentAfter

    public PSCommentAfter(java.lang.String content)

  Constructor

  Parameters:
    `content` - comment

Method Detail

### getElement

    protected java.lang.String getElement()

  Specified by:
    `getElement` in class `PSExtensionAttachment`
  Returns:
    the element name

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.